curl --request GET \
--url https://api.blaxel.ai/v0/jobs/{jobId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.blaxel.ai/v0/jobs/{jobId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.blaxel.ai/v0/jobs/{jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"name": "my-resource",
"createdAt": "<string>",
"updatedAt": "<string>",
"createdBy": "<string>",
"updatedBy": "<string>",
"displayName": "My Resource",
"externalId": "my-session-123",
"labels": {},
"plan": "<string>",
"url": "<string>",
"workspace": "<string>"
},
"spec": {
"enabled": true,
"githubRunner": {
"repositories": "[\"my-org/repo-a\", \"my-org/repo-b\"]"
},
"policies": [
"<string>"
],
"region": "us-was-1",
"revision": {
"active": "rev-abc123",
"canary": "<string>",
"canaryPercent": 10,
"stickySessionTtl": 0,
"traffic": 100
},
"runtime": {
"diskPercent": 80,
"envs": [
{
"name": "MY_ENV_VAR",
"secret": true,
"value": "my-value"
}
],
"generation": "mk3",
"image": "<string>",
"maxRetries": 3,
"memory": 2048,
"ports": [
{
"target": 8080,
"name": "http",
"protocol": "HTTP"
}
],
"timeout": 3600
},
"triggers": [
{
"configuration": {
"authenticationType": "blaxel",
"callbackSecret": "<string>",
"callbackUrl": "https://myapp.com/webhook",
"path": "/invoke",
"retry": 3,
"schedule": "0 * * * *",
"tasks": [
{}
],
"timeout": 300
},
"enabled": true,
"id": "trigger-1",
"type": "http"
}
],
"volumes": [
{
"mountPath": "/mnt/data",
"name": "scratch",
"sizeMb": 102400,
"type": "ephemeral",
"readOnly": false
}
]
},
"events": [
{
"canaryRevision": "<string>",
"message": "Deployment successful",
"revision": "rev-abc123",
"status": "DEPLOYED",
"time": "2025-01-15T10:30:00Z",
"type": "deployment"
}
]
}Get batch job
Returns detailed information about a batch job including its runtime configuration, execution history, and deployment status.
Authorizations
OAuth2 authentication with JWT tokens
Path Parameters
Unique name identifier of the batch job
Query Parameters
Show secret values (requires workspace admin role)
Response
successful operation
Batch processing job definition for running parallel AI tasks. Jobs can execute multiple tasks concurrently with configurable parallelism, retries, and timeouts.
Common metadata fields shared by all Blaxel resources including name, labels, timestamps, and ownership information
Show child attributes
Show child attributes
Configuration for a batch job including execution parameters, parallelism settings, and deployment region
Show child attributes
Show child attributes
Events happening on a resource deployed on Blaxel
Show child attributes
Show child attributes
Deployment status of a resource deployed on Blaxel
DELETING, TERMINATED, FAILED, DEACTIVATED, DEACTIVATING, UPLOADING, BUILDING, DEPLOYING, DEPLOYED, BUILT Was this page helpful?
